Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.was.operation
Class DescribeUser

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.wass.was.operation.DescribeUser

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class DescribeUser

extends AbstractOGCWebServiceRequest

`DescribeUser` is the request class for the deegree specific DescribeUser operation. The DescribeUser operation returns user data such as email address when given a session ID.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`DescribeUser(String id, Map<String,String> values)` Creates a new `DescribeUser` object from the given values.

Method Summary
`String` | `getServiceName()`
`String` | `getSessionID()`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeUser

    public DescribeUser(String id,
                        Map<String,String> values)

  Creates a new `DescribeUser` object from the given values.

  Parameters:
    `id` - the request id
    `values` - the request parameters

Method Detail

### getSessionID

    public String getSessionID()

  Returns:
    Returns the session id.

### getServiceName

    public String getServiceName()

  Returns:
    the name of the service that is targeted by the request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org